{% extends 'ElbotradeLayoutBundle:Layout:base.html.twig' %}

{% block header %}
    {% set active = 'gallery' %}
    {{ parent() }}
{% endblock %}

{% block content %}
    <main class="text-center">
        <!--Section 1-->
        <section class="well-xs">
            <div class="container container-wide">
                <div class="row">
                    <div class="col-lg-12 col-xs-12">
                        <h2>Gallery</h2>
                    </div>
                </div>
                {% for gallery in galleries %}
                    <div class="row">
                        <h3 class="text-left" style="border-bottom: 1px solid black;">{{ gallery }}</h3>
                        {% for galleryHasMedia in gallery.galleryHasMedias %}
                            <div class="col-lg-1 col-xs-3 padding-5">
                                <a href="{% path galleryHasMedia.media, 'big' %}" class="fancybox"
                                   rel="{{ gallery.id }}">{% thumbnail galleryHasMedia.media, 'small' %}</a>
                            </div>
                        {% endfor %}
                    </div>
                {% endfor %}
            </div>
        </section>
    </main>
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script src="{{ asset('bundles/elbotradelayout/js/jquery.fancybox.js') }}"></script>
    <link type="text/css" rel="stylesheet" href="{{ asset('bundles/elbotradelayout/css/jquery.fancybox.css') }}"/>
    <script type="text/javascript">
        $(document).ready(function () {
            $(".fancybox").fancybox({
                autoSize: true,
                type: "image"
            });
        })
    </script>
{% endblock %}